Update Channel

PATCH
https://reloop.sh/api/contacts/v1/channels/:channel_id

Path Parameters

channel_idstringRequired

Channel ID

Body Parameters

namestring

Channel name

  • Minimum length: 1
  • Maximum length: 255
descriptionstringnull
visibility"private""public"

Possible values: private | public

import { Reloop } from "reloop-email";

const reloop = new Reloop({ apiKey: "rl_123456789" });

const { response: channel, error } = await reloop.contacts.channels.update("chn_123456789", { name: "Marketing News" });
if (error) throw error;
{
  "object": "channel",
  "id": "con_123456789",
  "name": "Newsletter",
  "description": "example_description",
  "defaultSubscription": "opt_in",
  "visibility": "private",
  "createdAt": "2026-03-23T10:00:00.000Z",
  "updatedAt": "2026-03-23T10:00:00.000Z",
  "event": "evt_123456789"
}

Was this page helpful?

Edit this page